namespace SerialPortCommunicationModel
{
    partial class frmSerialPort
    {
        /// <summary>
        /// 必需的设计器变量。
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// 清理所有正在使用的资源。
        /// </summary>
        /// <param name="disposing">如果应释放托管资源，为 true；否则为 false。</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Windows 窗体设计器生成的代码

        /// <summary>
        /// 设计器支持所需的方法 - 不要
        /// 使用代码编辑器修改此方法的内容。
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(frmSerialPort));
            this.serialPortCom = new System.IO.Ports.SerialPort(this.components);
            this.btnOpenSerialPort = new System.Windows.Forms.Button();
            this.btnCloseSerialPort = new System.Windows.Forms.Button();
            this.comboBoxBaud = new System.Windows.Forms.ComboBox();
            this.rTxtBoxSndData = new System.Windows.Forms.RichTextBox();
            this.rTxtBoxRcvData = new System.Windows.Forms.RichTextBox();
            this.btnSndData = new System.Windows.Forms.Button();
            this.label1 = new System.Windows.Forms.Label();
            this.comboBoxComName = new System.Windows.Forms.ComboBox();
            this.label2 = new System.Windows.Forms.Label();
            this.btnClearRcv = new System.Windows.Forms.Button();
            this.btnClearSnd = new System.Windows.Forms.Button();
            this.label3 = new System.Windows.Forms.Label();
            this.label4 = new System.Windows.Forms.Label();
            this.checkBoxHexShow = new System.Windows.Forms.CheckBox();
            this.statusStripCom = new System.Windows.Forms.StatusStrip();
            this.StatusLabelComState = new System.Windows.Forms.ToolStripStatusLabel();
            this.StatusLabelComRcvData = new System.Windows.Forms.ToolStripStatusLabel();
            this.timer1 = new System.Windows.Forms.Timer(this.components);
            this.button1 = new System.Windows.Forms.Button();
            this.statusStripCom.SuspendLayout();
            this.SuspendLayout();
            // 
            // serialPortCom
            // 
            this.serialPortCom.DataReceived += new System.IO.Ports.SerialDataReceivedEventHandler(this.serialPortCom_DataReceived);
            // 
            // btnOpenSerialPort
            // 
            this.btnOpenSerialPort.Font = new System.Drawing.Font("SimSun", 10.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.btnOpenSerialPort.Location = new System.Drawing.Point(444, 22);
            this.btnOpenSerialPort.Name = "btnOpenSerialPort";
            this.btnOpenSerialPort.Size = new System.Drawing.Size(93, 30);
            this.btnOpenSerialPort.TabIndex = 0;
            this.btnOpenSerialPort.Text = "打开串口";
            this.btnOpenSerialPort.UseVisualStyleBackColor = true;
            this.btnOpenSerialPort.Click += new System.EventHandler(this.btnOpenSerialPort_Click);
            // 
            // btnCloseSerialPort
            // 
            this.btnCloseSerialPort.Font = new System.Drawing.Font("SimSun", 10.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.btnCloseSerialPort.Location = new System.Drawing.Point(565, 22);
            this.btnCloseSerialPort.Name = "btnCloseSerialPort";
            this.btnCloseSerialPort.Size = new System.Drawing.Size(93, 30);
            this.btnCloseSerialPort.TabIndex = 1;
            this.btnCloseSerialPort.Text = "关闭串口";
            this.btnCloseSerialPort.UseVisualStyleBackColor = true;
            this.btnCloseSerialPort.Click += new System.EventHandler(this.btnCloseSerialPort_Click);
            // 
            // comboBoxBaud
            // 
            this.comboBoxBaud.Font = new System.Drawing.Font("SimSun", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.comboBoxBaud.FormattingEnabled = true;
            this.comboBoxBaud.Location = new System.Drawing.Point(155, 68);
            this.comboBoxBaud.Name = "comboBoxBaud";
            this.comboBoxBaud.Size = new System.Drawing.Size(144, 27);
            this.comboBoxBaud.TabIndex = 2;
            this.comboBoxBaud.SelectedIndexChanged += new System.EventHandler(this.comboBoxBaud_SelectedIndexChanged);
            // 
            // rTxtBoxSndData
            // 
            this.rTxtBoxSndData.Font = new System.Drawing.Font("Times New Roman", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.rTxtBoxSndData.Location = new System.Drawing.Point(155, 145);
            this.rTxtBoxSndData.Multiline = false;
            this.rTxtBoxSndData.Name = "rTxtBoxSndData";
            this.rTxtBoxSndData.Size = new System.Drawing.Size(545, 33);
            this.rTxtBoxSndData.TabIndex = 3;
            this.rTxtBoxSndData.Text = "1234567890abcdefgh";
            // 
            // rTxtBoxRcvData
            // 
            this.rTxtBoxRcvData.Font = new System.Drawing.Font("SimSun", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.rTxtBoxRcvData.Location = new System.Drawing.Point(155, 216);
            this.rTxtBoxRcvData.Name = "rTxtBoxRcvData";
            this.rTxtBoxRcvData.Size = new System.Drawing.Size(545, 244);
            this.rTxtBoxRcvData.TabIndex = 4;
            this.rTxtBoxRcvData.Text = "";
            // 
            // btnSndData
            // 
            this.btnSndData.Font = new System.Drawing.Font("SimSun", 10.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.btnSndData.Location = new System.Drawing.Point(444, 107);
            this.btnSndData.Name = "btnSndData";
            this.btnSndData.Size = new System.Drawing.Size(93, 30);
            this.btnSndData.TabIndex = 5;
            this.btnSndData.Text = "发送数据";
            this.btnSndData.UseVisualStyleBackColor = true;
            this.btnSndData.Visible = false;
            this.btnSndData.Click += new System.EventHandler(this.btnSndData_Click);
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Font = new System.Drawing.Font("SimSun", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.label1.Location = new System.Drawing.Point(62, 76);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(89, 19);
            this.label1.TabIndex = 6;
            this.label1.Text = "波特率：";
            // 
            // comboBoxComName
            // 
            this.comboBoxComName.Font = new System.Drawing.Font("SimSun", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.comboBoxComName.FormattingEnabled = true;
            this.comboBoxComName.Location = new System.Drawing.Point(155, 22);
            this.comboBoxComName.Name = "comboBoxComName";
            this.comboBoxComName.Size = new System.Drawing.Size(144, 27);
            this.comboBoxComName.TabIndex = 7;
            this.comboBoxComName.SelectedIndexChanged += new System.EventHandler(this.comboBoxComName_SelectedIndexChanged);
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Font = new System.Drawing.Font("SimSun", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.label2.Location = new System.Drawing.Point(42, 213);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(109, 19);
            this.label2.TabIndex = 8;
            this.label2.Text = "串口接收：";
            // 
            // btnClearRcv
            // 
            this.btnClearRcv.Font = new System.Drawing.Font("SimSun", 10.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.btnClearRcv.Location = new System.Drawing.Point(540, 466);
            this.btnClearRcv.Name = "btnClearRcv";
            this.btnClearRcv.Size = new System.Drawing.Size(93, 30);
            this.btnClearRcv.TabIndex = 9;
            this.btnClearRcv.Text = "清空接收";
            this.btnClearRcv.UseVisualStyleBackColor = true;
            this.btnClearRcv.Click += new System.EventHandler(this.btnClearRcv_Click);
            // 
            // btnClearSnd
            // 
            this.btnClearSnd.Font = new System.Drawing.Font("SimSun", 10.5F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.btnClearSnd.Location = new System.Drawing.Point(565, 107);
            this.btnClearSnd.Name = "btnClearSnd";
            this.btnClearSnd.Size = new System.Drawing.Size(93, 30);
            this.btnClearSnd.TabIndex = 10;
            this.btnClearSnd.Text = "清空发送";
            this.btnClearSnd.UseVisualStyleBackColor = true;
            this.btnClearSnd.Visible = false;
            this.btnClearSnd.Click += new System.EventHandler(this.btnClearSnd_Click);
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Font = new System.Drawing.Font("SimSun", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.label3.Location = new System.Drawing.Point(62, 33);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(89, 19);
            this.label3.TabIndex = 11;
            this.label3.Text = "串口号：";
            // 
            // label4
            // 
            this.label4.AutoSize = true;
            this.label4.Font = new System.Drawing.Font("SimSun", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.label4.Location = new System.Drawing.Point(22, 152);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(129, 19);
            this.label4.TabIndex = 12;
            this.label4.Text = "字符串输入：";
            // 
            // checkBoxHexShow
            // 
            this.checkBoxHexShow.AutoSize = true;
            this.checkBoxHexShow.Font = new System.Drawing.Font("SimSun", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.checkBoxHexShow.Location = new System.Drawing.Point(393, 476);
            this.checkBoxHexShow.Name = "checkBoxHexShow";
            this.checkBoxHexShow.Size = new System.Drawing.Size(129, 20);
            this.checkBoxHexShow.TabIndex = 13;
            this.checkBoxHexShow.Text = "十六进制显示";
            this.checkBoxHexShow.UseVisualStyleBackColor = true;
            this.checkBoxHexShow.CheckedChanged += new System.EventHandler(this.checkBoxHexShow_CheckedChanged);
            // 
            // statusStripCom
            // 
            this.statusStripCom.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.StatusLabelComState,
            this.StatusLabelComRcvData});
            this.statusStripCom.Location = new System.Drawing.Point(0, 617);
            this.statusStripCom.Name = "statusStripCom";
            this.statusStripCom.Size = new System.Drawing.Size(764, 22);
            this.statusStripCom.TabIndex = 14;
            this.statusStripCom.Text = "Com State";
            // 
            // StatusLabelComState
            // 
            this.StatusLabelComState.Font = new System.Drawing.Font("SimSun", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.StatusLabelComState.ForeColor = System.Drawing.Color.Red;
            this.StatusLabelComState.Name = "StatusLabelComState";
            this.StatusLabelComState.Size = new System.Drawing.Size(76, 17);
            this.StatusLabelComState.Text = "串口状态";
            // 
            // StatusLabelComRcvData
            // 
            this.StatusLabelComRcvData.Font = new System.Drawing.Font("SimSun", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.StatusLabelComRcvData.ForeColor = System.Drawing.Color.FromArgb(((int)(((byte)(192)))), ((int)(((byte)(0)))), ((int)(((byte)(192)))));
            this.StatusLabelComRcvData.Name = "StatusLabelComRcvData";
            this.StatusLabelComRcvData.Size = new System.Drawing.Size(110, 17);
            this.StatusLabelComRcvData.Text = "串口数据状态";
            // 
            // timer1
            // 
            this.timer1.Interval = 1000;
            // 
            // button1
            // 
            this.button1.Location = new System.Drawing.Point(444, 68);
            this.button1.Name = "button1";
            this.button1.Size = new System.Drawing.Size(93, 27);
            this.button1.TabIndex = 15;
            this.button1.Text = "发送时间";
            this.button1.UseVisualStyleBackColor = true;
            this.button1.Click += new System.EventHandler(this.button1_Click);
            // 
            // frmSerialPort
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 12F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(764, 639);
            this.Controls.Add(this.button1);
            this.Controls.Add(this.statusStripCom);
            this.Controls.Add(this.checkBoxHexShow);
            this.Controls.Add(this.label4);
            this.Controls.Add(this.label3);
            this.Controls.Add(this.btnClearSnd);
            this.Controls.Add(this.btnClearRcv);
            this.Controls.Add(this.label2);
            this.Controls.Add(this.comboBoxComName);
            this.Controls.Add(this.label1);
            this.Controls.Add(this.btnSndData);
            this.Controls.Add(this.rTxtBoxRcvData);
            this.Controls.Add(this.rTxtBoxSndData);
            this.Controls.Add(this.comboBoxBaud);
            this.Controls.Add(this.btnCloseSerialPort);
            this.Controls.Add(this.btnOpenSerialPort);
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.Name = "frmSerialPort";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "frmSerialPort";
            this.Load += new System.EventHandler(this.frmSerialPort_Load);
            this.statusStripCom.ResumeLayout(false);
            this.statusStripCom.PerformLayout();
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        #endregion

        private System.IO.Ports.SerialPort serialPortCom;
        private System.Windows.Forms.Button btnOpenSerialPort;
        private System.Windows.Forms.Button btnCloseSerialPort;
        private System.Windows.Forms.ComboBox comboBoxBaud;
        private System.Windows.Forms.RichTextBox rTxtBoxSndData;
        private System.Windows.Forms.RichTextBox rTxtBoxRcvData;
        private System.Windows.Forms.Button btnSndData;
        private System.Windows.Forms.Label label1;
        private System.Windows.Forms.ComboBox comboBoxComName;
        private System.Windows.Forms.Label label2;
        private System.Windows.Forms.Button btnClearRcv;
        private System.Windows.Forms.Button btnClearSnd;
        private System.Windows.Forms.Label label3;
        private System.Windows.Forms.Label label4;
        private System.Windows.Forms.CheckBox checkBoxHexShow;
        private System.Windows.Forms.StatusStrip statusStripCom;
        private System.Windows.Forms.ToolStripStatusLabel StatusLabelComState;
        //private System.Windows.Forms.Label labelComState;
        private System.Windows.Forms.ToolStripStatusLabel StatusLabelComRcvData;
        private System.Windows.Forms.Timer timer1;
        private System.Windows.Forms.Button button1;
    }
}

